<template>
  <div class="">
    <client-only>
      <BrickTranslation
        v-if="isEnabled"
        api-base-url="/i18n"
        classes="container extended pt-5 pb-5 translation-section"
      ></BrickTranslation>
      <div v-else>
        Only available on live system!
      </div>
    </client-only>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
export default {
  layout: 'admin',
  roles: ['ROLE_TRANSLATOR', 'ROLE_SYSOP'],
  computed: {
    ...mapGetters(['hasRole']),
    isEnabled() {
      return process.env.profile === 'live' || this.hasRole('ROLE_SYSOP');
    },
  },
};
</script>
